{ config, lib, jovian, ... }:
{
  imports = [ jovian.nixosModules.jovian ];

  jovian = {
    steam = {
      enable = true;
      autoStart = true;
      desktopSession = "sway";
      user = config.sysusers.main;
    };
    devices.steamdeck.enable = true;
    decky-loader.enable = true;
  };

  services = {
    displayManager.ly.enable = lib.mkForce false;
    keyd.enable = lib.mkForce false;
  };

  environment.persistence."/persist" = {
    directories = [ "/etc/NetworkManager/system-connections" ];
    users.${config.sysusers.main}.directories = [ ".steam" ];
  };

  nixpkgs.allowUnfreePackages = [
    "steam"
    "steam-jupiter-unwrapped"
    "steamdeck-firmware"
    "steamdeck-hw-theme"
  ];
}
